## xrootd 5.4.3

=== debian/changelog ===
xrootd (5.4.3-2) unstable; urgency=medium

  * Update the list of architectures for which the ceph module is built

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 13 Jun 2022 13:58:58 +0200

xrootd (5.4.3-1) unstable; urgency=medium

  * Update to version 5.4.3
  * Drop patches accepted upstream or previously backported
  * Add Build-Depends python3-wheel
  * Use environment variable DEB_PYTHON_INSTALL_LAYOUT=deb during install

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 10 Jun 2022 18:43:22 +0200

xrootd (5.4.2-2) unstable; urgency=medium

  * Improve detection of when libatomic is needed - send patch upstream
  * Fix sphinx doc
  * Backport fixes from upstream git master (OpenSSL 3, Python 3.10)
  * Add Build-Depends python3-pip

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 23 Apr 2022 23:53:20 +0200

xrootd (5.4.2-1) unstable; urgency=medium

  * Update to version 5.4.2
  * More OpenSSL 3 fixes (Closes: #1006409)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 04 Mar 2022 10:17:34 +0100
