=== debian/changelog ===
xrootd (5.5.0-1) unstable; urgency=medium

  * Update to version 5.5.0
  * Drop patches accepted upstream
  * Address some warnings from Doxygen
  * Move documentation dependencies to Build-Depends-Indep (Closes: #983343)
  * Update lintian overrides

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 28 Aug 2022 21:22:16 +0200
