=== debian/control ===
--- 
+++ 
@@ -16,13 +16,10 @@
  libssl-dev,
  libreadline-dev,
  zlib1g-dev,
- doxygen,
- graphviz,
  libsystemd-dev [linux-any],
  python3-dev,
  python3-pip,
  python3-wheel,
- python3-sphinx,
  libjson-c-dev,
  libmacaroons-dev,
  uuid-dev,
@@ -32,6 +29,11 @@
  librados-dev [i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
  libradospp-dev [i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
  libradosstriper-dev [i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x]
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
+ doxygen,
+ graphviz,
+ python3-sphinx
 Homepage: http://xrootd.org/
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Vcs-Browser: https://salsa.debian.org/ellert/xrootd
