=== debian/rules ===
--- 
+++ 
@@ -18,19 +18,20 @@
 CEPH = OFF
 endif
 
+BUILD_DOC = $(if $(filter xrootd-doc,$(shell dh_listpackages)),TRUE,FALSE)
+
 %:
-	dh $@ --with python3 --with sphinxdoc
+	dh $@ --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    -DXRDCEPH_SUBMODULE:BOOL=$(CEPH) \
-	    -DXRDCLHTTP_SUBMODULE:BOOL=ON \
-	    -DPIP_OPTIONS="--no-deps --disable-pip-version-check --verbose" \
-	    -DPYTHON_EXECUTABLE:PATH=/usr/bin/python3
+	    -DENABLE_XRDCLHTTP:BOOL=ON \
+	    -DPIP_OPTIONS="--no-deps --disable-pip-version-check --verbose"
 
 override_dh_auto_build:
 	dh_auto_build
-	doxygen Doxyfile
+	[ "$(BUILD_DOC)" = "FALSE" ] || doxygen Doxyfile
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -48,10 +49,12 @@
 	    sed s/pip/dpkg/ \
 	    -i debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/INSTALLER
 
+	[ "$(BUILD_DOC)" = "FALSE" ] || ( \
 	LD_LIBRARY_PATH=$${LD_LIBRARY_PATH}:$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
 	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
 	PYTHONDONTWRITEBYTECODE=1 \
-	make -C bindings/python/docs html
+	make -C bindings/python/docs html && \
+	mv bindings/python/docs/build/html bindings/python/docs/build/python )
 
 	# Service unit files
 	mkdir -p debian/tmp/usr/lib/systemd/system
@@ -83,7 +86,9 @@
 	    debian/tmp/etc/xrootd/client.conf
 	sed 's!/usr/lib/!!' packaging/common/client-plugin.conf.example > \
 	    debian/tmp/etc/xrootd/client.plugins.d/client-plugin.conf.example
-	sed 's!/usr/local/lib/!!' src/XrdClHttp/config/http.client.conf.example > \
+	sed -e 's!/usr/lib64/!!' -e 's!-5!!' packaging/common/recorder.conf > \
+	    debian/tmp/etc/xrootd/client.plugins.d/recorder.conf
+	sed 's!/usr/lib64/!!' packaging/common/http.client.conf.example > \
 	    debian/tmp/etc/xrootd/client.plugins.d/xrdcl-http-plugin.conf
 
 	chmod 644 debian/tmp/usr/share/xrootd/utils/XrdCmsNotify.pm
@@ -103,8 +108,3 @@
 	mkdir -p debian/tmp/etc/logrotate.d
 	install -m 644 -p packaging/common/xrootd.logrotate \
 	    debian/tmp/etc/logrotate.d/xrootd
-
-	# Documentation
-	mkdir -p debian/tmp/usr/share/doc/xrootd
-	cp -pr doxydoc/html debian/tmp/usr/share/doc/xrootd
-	cp -pr bindings/python/docs/build/html debian/tmp/usr/share/doc/xrootd/python
