## xrootd 5.5.1

=== debian/changelog ===
xrootd (5.5.1-3) unstable; urgency=medium

  * Backport fix from upstream to fix Python 3.11 build (Closes: #1027584)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 06 Jan 2023 13:29:40 +0100

xrootd (5.5.1-2) unstable; urgency=medium

  * Check all sizes (8, 16, 32, 64) in <atomic> check

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 20 Oct 2022 09:18:28 +0200

xrootd (5.5.1-1) unstable; urgency=medium

  * Update to version 5.5.1
  * Drop doxygen patch accepted upstream
  * Check operator++ in <atomic> check

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 20 Oct 2022 03:44:52 +0200
