## xrootd 5.5.2

=== debian/changelog ===
xrootd (5.5.2-1) unstable; urgency=medium

  * Update to version 5.5.2
  * Drop patches accepted upstream or previously backported
  * Move systemd unit files back to /lib/systemd/system

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 09 Feb 2023 19:58:10 +0100
