=== debian/changelog ===
xrootd (5.5.3-1) unstable; urgency=medium

  * Update to version 5.5.3

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 18 Feb 2023 13:45:08 +0100
