=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xrootd
 Section: net
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper (>= 13),
  dh-python,
