=== debian/rules ===
--- 
+++ 
@@ -57,13 +57,13 @@
 	mv bindings/python/docs/build/html bindings/python/docs/build/python )
 
 	# Service unit files
-	mkdir -p debian/tmp/usr/lib/systemd/system
-	install -m 644 packaging/common/xrootd@.service debian/tmp/usr/lib/systemd/system
-	install -m 644 packaging/common/xrootd@.socket debian/tmp/usr/lib/systemd/system
-	install -m 644 packaging/common/xrdhttp@.socket debian/tmp/usr/lib/systemd/system
-	install -m 644 packaging/common/cmsd@.service debian/tmp/usr/lib/systemd/system
-	install -m 644 packaging/common/frm_xfrd@.service debian/tmp/usr/lib/systemd/system
-	install -m 644 packaging/common/frm_purged@.service debian/tmp/usr/lib/systemd/system
+	mkdir -p debian/tmp/lib/systemd/system
+	install -m 644 packaging/common/xrootd@.service debian/tmp/lib/systemd/system
+	install -m 644 packaging/common/xrootd@.socket debian/tmp/lib/systemd/system
+	install -m 644 packaging/common/xrdhttp@.socket debian/tmp/lib/systemd/system
+	install -m 644 packaging/common/cmsd@.service debian/tmp/lib/systemd/system
+	install -m 644 packaging/common/frm_xfrd@.service debian/tmp/lib/systemd/system
+	install -m 644 packaging/common/frm_purged@.service debian/tmp/lib/systemd/system
 	mkdir -p debian/tmp/usr/lib/tmpfiles.d
 	install -m 644 packaging/rhel/xrootd.tmpfiles debian/tmp/usr/lib/tmpfiles.d/xrootd.conf
